<?php

namespace App\Modules\AppMaker\Controllers;

use App\Controllers\BaseController;

class DbTest extends BaseController
{
    public function index()
    {
        // Try connecting to the database
        try {
            $db = \Config\Database::connect();

            // Test query (adjust 'apps' to any table you know exists)
            $builder = $db->table('apps'); // Replace 'apps' with one of your real tables
            $result = $builder->get(1)->getResult();

            echo "<pre>✅ Database Connected! Result:\n";
            print_r($result);
            echo "</pre>";

        } catch (\Exception $e) {
            echo "❌ Database Connection Failed: " . $e->getMessage();
        }
    }
}
