<?php namespace App\Models;

use CodeIgniter\Model;

class UserModel extends Model
{
    protected $table      = 'users';
    protected $primaryKey = 'id';
    
    protected $allowedFields = [
        'name', 'email', 'password', 'role_id', 
        'email_verified', 'verification_token', 'password_reset_token'
    ];
    
    protected $useTimestamps = true;
}
